Subject: Re: [bug#42338] [PATCH] Add composer build system (PHP)

From: Wilko Meyer <[email-masked]>
Date: Wed, 20 Dec 2023 12:40:43 +0100

Hi Julien,

Julien Lepiller <[email-masked]> writes:

> I would put them in php-xyz.scm. php.scm would be for the compiler and language tools. If we start having a lot of php packages, we could start creating more modules.

Sounds good!

> I don't think packagist.scm would work, similar to how we have
> python.scm, not pypi.scm :)

We do have crates-io.scm and rust{,-apps}.scm for rust, which is why I
was asking (though I don't know the background of why crates-io.scm was
chosen for rust crates). But that may be more of an outlier then in the
structure of gnu/packages.

-- 
Kind regards,

Wilko Meyer
[email-masked]